SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000028SiT!incidentspublic2008-07-11 16:042008-12-24 12:18
Reporterivan 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.45Fixed in Version3.41 
Summary0000028: Javascript activity time wrong
DescriptionThe JS on the activity page says the wrong time sometimes. I opened a new
activity and the time elapsed was 1:23, when I closed it, it was 0:27
(correct).

Additional InformationDate: 2008-05-25 14:04
Sender: paulheaney
Logged In: YES
user_id=1496915
Originator: NO

Think my last commit to custardpie should resolve this though I've been
able to reproduce so could people please test
                            

Date: 2008-05-24 11:37
Sender: paulheaney
Logged In: YES
user_id=1496915
Originator: NO

This is due to the closed time using purly server based time, where as the
counter sets the startime as the server time and does the updates in JS
based on client time hence if a clients in a different time zone/is
incorrect you'll get these sort of errors.

I'll try and resolve this over the weekend.
                            
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000033)
paulh (administrator)
2008-07-17 14:03

Think I wrote a fix for this, though its only reproducable on the live system so we need to upgrade that which needs 3.40 stabalising before we can do this.
User avatar (0000142)
ivan (administrator)
2008-10-28 09:32

Moving target to 3.41 as we need 3.40 to be released before we can test this one fully, it's minor anyway.
User avatar (0000380)
paulh (administrator)
2008-12-24 12:18

I cant reproduce with 3.41 so assuming the prior fix did the job

- Issue History
Date Modified Username Field Change
2008-07-11 16:04 administrator New Issue
2008-07-17 13:21 ivan Reporter administrator => ivan
2008-07-17 13:21 ivan Assigned To => paulh
2008-07-17 13:21 ivan Status new => feedback
2008-07-17 13:21 ivan Target Version => 3.40
2008-07-17 14:03 paulh Note Added: 0000033
2008-10-28 09:32 ivan Note Added: 0000142
2008-10-28 09:32 ivan Target Version 3.40 => 3.41
2008-11-29 23:32 kieran Target Version 3.41 => 3.45
2008-12-24 12:18 paulh Note Added: 0000380
2008-12-24 12:18 paulh Status feedback => resolved
2008-12-24 12:18 paulh Resolution open => fixed
2008-12-24 12:18 paulh Fixed in Version => 3.41


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker